package com.yida.data.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.system.EduArea;

import com.yida.data.system.vo.AreaVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EduAreaMapper extends BaseMapper<EduArea> {
    List<EduArea> findAreaByParentId(Long parentId);

    EduArea checkArea(@Param("parentId") Long parentId, @Param("name") String name);

    Integer updateParentName(@Param("parentName") String parentName, @Param("ids") List<Long> id);

    AreaVO findAreaById(@Param("id") Long id);
}
